package algorithms;

import java.io.Serializable;
import java.util.List;
import objects.DistanceMatrix;
import objects.Template;

public abstract class Retriever implements Serializable {

    private DistanceTemplates distanceTemplates;
    private DistanceMatrix distanceMatrix;
    
    public Retriever() {
    }

    public DistanceTemplates getDistanceTemplates() {
        return distanceTemplates;
    }

    public void setDistanceTemplates(DistanceTemplates distanceTemplates) {
        this.distanceTemplates = distanceTemplates;
    }

    public DistanceMatrix getDistanceMatrix() {
        return distanceMatrix;
    }

    public void setDistanceMatrix(DistanceMatrix distanceMatrix) {
        this.distanceMatrix = distanceMatrix;
    }

    public abstract List<Template> retrieve(Template sampleTest, List<Template> samplesGallery);
}
